## binutils-embedded 25

=== debian/changelog ===
binutils-embedded (25) unstable; urgency=medium

  * Create one source package for multiple embedded binutils variants

 -- Keith Packard <keithp@keithp.com>  Sat, 19 Jul 2025 11:30:02 +0200
