=== debian/control ===
Source: binutils-embedded
Section: devel
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends:
 binutils-source,
 debhelper (>= 10.0.0),
 autotools-dev,
 autoconf2.69,
 bison,
 flex,
 gettext,
 texinfo,
 dejagnu (>= 1.4.2-1.1),
 python3,
 file,
 xz-utils,
 lsb-release,
 zlib1g-dev,
Standards-Version: 4.7.2
HomePage: https://sourceware.org/binutils/
Vcs-Git: https://salsa.debian.org/debian/binutils-arm-none-eabi.git
Vcs-Browser: https://salsa.debian.org/debian/binutils-arm-none-eabi

Package: binutils-aarch64-none-elf
Architecture: any
Built-Using: ${Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU assembler, linker and binary utilities for 64-bit ARM processors
 The programs in this package are used to manipulate binary and object
 files that have been created for ARM's 64-bit architecture.  This package
 is primarily for embedded ARM developers and cross-compilers and is not needed
 by normal users or developers.

Package: binutils-arm-none-eabi
Architecture: any
Built-Using: ${Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU assembler, linker and binary utilities for ARM Cortex-R/M processors
 Bare metal binutils for embedded ARM chips using Cortex-M0/M0+/M3/M4 and
 Cortex-R4/R5/R7 processors. The programs in this package are used to
 manipulate binary and object files that may have been created for Cortex
 architecture.

Package: binutils-riscv64-unknown-elf
Architecture: any
Built-Using: ${Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU assembler, linker and binary utilities for Risc-V processors
 Bare metal binutils for embedded Risc-V chips, both 32- and 64- bit
 versions The programs in this package are used to manipulate binary
 and object files that may have been created for the Risc-V
 architecture.
