## binutils-embedded 26

=== debian/changelog ===
binutils-embedded (26) unstable; urgency=medium

  * Adjust paths to be consistent with other toolchains.

 -- Keith Packard <keithp@keithp.com>  Thu, 22 Jan 2026 11:39:11 -0800
