=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,8 @@
 
 configure_flags = \
 	--target=$${target} \
-	--prefix=/usr/lib \
-	--bindir=/usr/bin \
+	--prefix=/usr \
+	--sysconfdir=/etc \
 	--libdir=/usr/lib/$${target} \
 	--infodir=/usr/share/doc/binutils-$${target}/info \
 	--htmldir=/usr/share/doc/binutils-$${target}/html \
@@ -84,9 +84,16 @@
 		dh_auto_build -Bbuild-$${target} --parallel & \
 	done; wait
 
+# Replace hard links in /usr/<target>/bin with symlinks to ../../bin/<target>-prog
 override_dh_auto_install:
 	for target in $(targets); do \
 		dh_auto_install -Bbuild-$${target} --destdir=debian/binutils-$${target}; \
+		for fullprog in debian/binutils-$${target}/usr/$${target}/bin/*; do \
+			baseprog=$$(basename $${fullprog}); \
+			if [ -f "debian/binutils-$${target}/usr/bin/$${target}-$${baseprog}" ]; then \
+				rm $${fullprog} && ln -sr ../../../bin/$${target}-$${baseprog} $${fullprog}; \
+			fi; \
+		done; \
 	done
 
 override_dh_gencontrol:
