## binutils-embedded 27

=== debian/changelog ===
binutils-embedded (27) unstable; urgency=medium

  * Rebuild against newer binutils source

  * Move libdir to /usr/${target}/lib to match picolibc

 -- Keith Packard <keithp@keithp.com>  Mon, 26 Jan 2026 09:12:15 -0800
