=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
 Package: binutils-arm-none-eabi
 Architecture: any
 Built-Using: ${Built-Using}
+Breaks: gcc-arm-none-eabi (< 15:15.2)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNU assembler, linker and binary utilities for ARM Cortex-R/M processors
  Bare metal binutils for embedded ARM chips using Cortex-M0/M0+/M3/M4 and
@@ -45,6 +46,7 @@
 Package: binutils-riscv64-unknown-elf
 Architecture: any
 Built-Using: ${Built-Using}
+Breaks: gcc-riscv64-unknown-elf (< 15.2.0)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNU assembler, linker and binary utilities for Risc-V processors
  Bare metal binutils for embedded Risc-V chips, both 32- and 64- bit
