=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	--target=$${target} \
 	--prefix=/usr \
 	--sysconfdir=/etc \
-	--libdir=/usr/lib/$${target} \
+	--libdir=/usr/$${target}/lib \
 	--infodir=/usr/share/doc/binutils-$${target}/info \
 	--htmldir=/usr/share/doc/binutils-$${target}/html \
 	--pdfdir=/usr/share/doc/binutils-$${target}/pdf \
