## binutils-embedded 28

=== debian/changelog ===
binutils-embedded (28) unstable; urgency=medium

  * Fix lintian complaints

 -- Keith Packard <keithp@keithp.com>  Wed, 11 Feb 2026 08:55:58 -0800
