=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
  zlib1g-dev,
 Standards-Version: 4.7.2
 HomePage: https://sourceware.org/binutils/
-Vcs-Git: https://salsa.debian.org/debian/binutils-arm-none-eabi.git
-Vcs-Browser: https://salsa.debian.org/debian/binutils-arm-none-eabi
+Vcs-Git: https://salsa.debian.org/debian/binutils-embedded.git
+Vcs-Browser: https://salsa.debian.org/debian/binutils-embedded
 
 Package: binutils-aarch64-none-elf
 Architecture: any
@@ -35,7 +35,7 @@
 Package: binutils-arm-none-eabi
 Architecture: any
 Built-Using: ${Built-Using}
-Breaks: gcc-arm-none-eabi (< 15:15.2)
+Breaks: gcc-arm-none-eabi (<< 15:15.2)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNU assembler, linker and binary utilities for ARM Cortex-R/M processors
  Bare metal binutils for embedded ARM chips using Cortex-M0/M0+/M3/M4 and
@@ -46,7 +46,7 @@
 Package: binutils-riscv64-unknown-elf
 Architecture: any
 Built-Using: ${Built-Using}
-Breaks: gcc-riscv64-unknown-elf (< 15.2.0)
+Breaks: gcc-riscv64-unknown-elf (<< 15.2.0)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNU assembler, linker and binary utilities for Risc-V processors
  Bare metal binutils for embedded Risc-V chips, both 32- and 64- bit
