=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	$(buildflags)
 
 %:
-	dh $@ -Dbinutils-source --parallel
+	dh $@ -Dbinutils-source
 
 $(override_stamp):
 	for target in $(targets); do \
